xh_ldh 发表于 2002-10-24 02:24:00

头疼的事!!

本帖最后由 作者 于 2002-10-24 2:24:22 编辑

无法使用点捕捉
   这样不行
   Dim Bp As Variant
   Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ")
    这样也不行
   Dim Bp As Variant
    set Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ")
    使用点捕捉就出错
    感谢各位大侠解决
    感谢!!!感谢!!!

xh_ldh 发表于 2002-10-26 12:38:00

真的试过

本帖最后由 作者 于 2002-10-26 12:38:08 编辑

你好!
   你是否使用过点捕捉,比如端点或圆心捕捉??
   你再试试吧!!

leeyeafu 发表于 2002-10-24 11:21:00

不知道出了什么事,我试过可以使用点捕捉

附上我用的测试代码,选择点时可用捕捉,也可不用,用点的对象捕捉也没出问题,不知道你那怎么了,应该不是代码的原因。
Private Sub AcadDocument_BeginDoubleClick(ByVal PickPoint As Variant)
    Dim Bp, Ep As Variant
   Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ")
   Ep = ThisDrawing.Utility.GetPoint(Bp, "选择终点: ")
   Dim obj As AcadLine
   Set obj = ThisDrawing.ModelSpace.AddLine(Bp, Ep)
End Sub

xh_ldh 发表于 2002-10-24 19:14:00

请看

本帖最后由 作者 于 2002-10-24 19:14:42 编辑

请看下面代码
Sub xh()
Dim p1(2) As Double, p2(2) As Double
Dim OffsetValue As Double
Dim offsetvalue1 As Double
Dim lineobj As AcadLine
Dim Bp As Variant
Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ")
OffsetValue = ThisDrawing.Utility.GetReal("请输入偏移距离:")
offsetvalue1 = ThisDrawing.Utility.GetReal("所需线段长度")
p1(0) = Bp(0) + OffsetValue
p1(1) = Bp(1)
p1(2) = 0
p2(0) = p1(0) + offsetvalue1
p2(1) = p1(1)
p2(2) = 0
Set lineobj = ThisDrawing.ModelSpace.AddLine(p1, p2)
End Sub
不捕捉点时是正确的
    请指正
    谢谢!!!

hothua 发表于 2002-10-25 15:04:00

我试过你的代码,没有问题

leeyeafu 发表于 2002-10-28 10:23:00

真的试过,没问题,你把出错信息贴出来看看。

On Error Resume Next
Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ")
If Err Then
Err.Clear
MsgBox Err.Description
End If

xh_ldh 发表于 2002-10-29 12:21:00

请您看看



看后,请指正
      谢谢!!!!!!!!

sdxylijian 发表于 2002-11-21 01:46:00

我记得好像要在捕捉之前必须将窗体关闭的,不知道是否正确,随便说说。

zxj_76 发表于 2003-2-10 10:37:00

R14和2000是不一样的,至于为什么,我不知道?

ysf505 发表于 2003-2-26 20:58:00

只用 Bp = ThisDrawing.Utility.GetPoint(, "选择端点: ") 不要定义Bp

页: [1] 2
查看完整版本: 头疼的事!!